Loading...
Searching...
No Matches
Make HTTP request

Name
  http-client - HTTP request tool

Synopsis

http-client [OPTIONS] url

Description

The http-client utility sends a HTTP request to an HTTP server or proxy.

The http-client tool will print out status line and interesting headers from the response. The message body is also printed.

Options

The http-client utility accepts following command line options:

–method=name
  Specify the request method name (GET by default).
–proxy=url
  Specifies the proxy via which the request will be sent.
–ua=value
  Specifies the User-Agent header field.
–mf=n
  Specify the initial Max-Forwards count.
–pipe
  Use pipelining (do not shutdown client connection after request).
–extra
  Insert standard input to the requests.

Examples

You want to query supported features of http://connecting.nokia.com:

$ http-client --method OPTIONS http://connecting.nokia.com

Environment
  `NTH_DEBUG`, `TPORT_DEBUG`, `TPORT_LOG`.

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.